# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewProductArray, DXNewProductArrayV

Function

Create an Array that is the product of a set of regular or irregular position Arrays.

Syntax
`
#include <dx/dx.h>
`

ProductArray DXNewProductArray(int n, ...)
ProductArray DXNewProductArrayV(int n, Array *terms)

Functional Details

All of the Array types must be floating-point and of the same rank and shape. The Array created will have the same rank and shape as the input Arrays. The terms of the product are given by the Array pointer `terms` (for `DXNewProductArrayV`) or by the last `n` arguments (for `DXNewProductArray`).

Product Arrays are most often used to construct regular or partially regular "positions" components. In the case of fully regular positions (e.g., when each of the items is a Regular Array), it is often be easier to use `DXMakeGridPositions`.

The Array created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Return the Product Array or returns `NULL` and set an error code.

See Also

`DXGetPathArrayInfo, DXMakeGridPositions, DXMakeGridPositionsV`

"Product Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]